#include <iostream>
#include <stdio.h>
#include <algorithm>

using namespace std;

const int N = 100500;

int n;
int a[N];

int get(int value) {
	int le = 1;
	int ri = n + 1;
	while (ri - le > 1) {
		int mid = (le + ri) >> 1;
		if (a[mid] <= value) {
			le = mid;
		} else {
			ri = mid;
		}
	}
	return le;
}

int main() {
	freopen("stones.in","r",stdin);
	freopen("stones.out","w",stdout);
	scanf("%d", &n);
	for (int i = 1; i <= n; i++) {
		scanf("%d", &a[i]);
	}
	sort(a + 1, a + 1 + n);
	int answer = (int)2e9;
	for (int i = 1; i <= n; i++) {
		int left_index = i;
		int right_index = get(a[i] + n - 1);
		int numbers_in_segment = right_index - left_index + 1;
		answer = min(answer, n - numbers_in_segment);
	}
	printf("%d\n", answer);
	return 0;
}