#define _ijps 0
#define _CRT_SECURE_NO_DEPRECATE
#pragma comment(linker, "/STACK:667772160")
#include <iostream>
#include <cmath>
#include <vector>
#include <time.h>
#include <map>
#include <set>
#include <deque>
#include <cstdio>
#include <cstdlib>
#include <unordered_map>
#include <bitset>
#include <algorithm>
#include <string>
#include <fstream>
#include <assert.h> 
#include <list>
#include <cstring>
#include <queue>
using namespace std;

#define name "canderlabrum"
typedef unsigned long long ull;
typedef long long ll;
#define mk make_pair
//#define forn(i, n) for(int i = 0; i < (int)n; i++)
//#define fornn(i, q, n) for(ll i = (ll)q; i < (ll)n; i++)
#define times clock() * 1.0 / CLOCKS_PER_SEC


struct __isoff{
	__isoff(){
		if (_ijps)
			freopen("input.txt", "r", stdin), freopen("output.txt", "w", stdout);//, freopen("test.txt", "w", stderr);
		else freopen(name".in", "r", stdin), freopen(name".out", "w", stdout);
		//ios_base::sync_with_stdio(0);
		//srand(time(0));
		srand('C' + 'T' + 'A' + 'C' + 'Y' + 'M' + 'B' + 'A');
	}
	~__isoff(){
		//if(_ijps) cout<<times<<'\n';
	}
} __osafwf;
const ull p1 = 131;
const ull p2 = 129;
const double eps = 1e-8;
const double pi = acos(-1.0);

const int infi = 1e9 + 7;
const ll inf = 1e18 + 7;
const ll dd = 5e4 + 7;

const int alp = 11;
const int super = alp * alp; // тут можно набагать
vector<int> P[dd];
vector<int> T;
int n;
int result = 0;

int D[dd][alp][alp];

void dfs(int v, int p){
	vector<pair<int, pair<int, int> > > G;
	int c = T[v];
	D[v][c][alp - 1] = 1;
	for(int u : P[v]){
		if(u != p){
			dfs(u, v);
			for(int j = 0; j < alp; j++){
				for(int e = 0; e < alp; e++){
					for(int k = 0; k < G.size(); k++){
						if(G[k].second.first != j && G[k].second.first != e && G[k].second.second != j){
							result = max(result, D[u][j][e] + G[k].first);
						}
					}
				}
			}
			for(int j = 0; j < alp; j++){
				for(int e = 0; e < alp; e++){
					if(j != e && j != c && c != e){
						D[v][c][j] = max(D[v][c][j], D[u][j][e] + 1);
					}
					if(j != e){
						D[v][j][e] = max(D[v][j][e], D[u][j][e]);
					}
				}
			}
			G.clear();
			for(int j = 0; j < alp; j++){
				for(int e = 0; e < alp; e++){
					G.push_back(mk(D[v][j][e], mk(j, e)));
				}
			}
			sort(G.begin(), G.end());
			reverse(G.begin(), G.end());
			while(G.size() > super){
				G.pop_back();
			}
		}
	}
	for(int j = 0; j < alp; j++){
		for(int e = 0; e < alp; e++){
			result = max(result, D[v][j][e]);
		}
	}
}

int main() {
	cin >> n;
	T.resize(n);
	for(int i = 0; i < n - 1; i++){
		int a, b;
		scanf("%d%d", &a, &b);
		a--, b--;
		P[a].push_back(b);
		P[b].push_back(a);
	}
	for(int i = 0; i < n; i++){
		char c;
		scanf(" %c", &c);
		T[i] = c - 'a';
	}
	dfs(0, 0);
	cout << result;
}