#include <iostream>
#include <stdio.h>
#include <cassert>

using namespace std;

bool can(long long x, long long mid) {
	return mid * (mid + 1LL) / 2LL <= x;
}

int main() {
	freopen("castle.in","r",stdin);
	freopen("castle.out","w",stdout);
	long long x;
	cin >> x;
	assert(x >= 1 && x <= (long long)1e9);
	long long le = 0LL;
	long long ri = (long long)1e10;
	while (ri - le > 1) {
		long long mid = (le + ri) / 2LL;
		if (can(x, mid)) {
			le = mid;
		} else {
			ri = mid;
		}
	}
	cout << le << endl;
	return 0;
}